.custom-container {
    max-width: 1760px;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
}

/* refresh-btn */
.refresh-btn {
    background-color: #F5F8FF;
    border: none;
    border-radius: 12px;
    width: 40px;
    height: 40px;
    min-width: 40px;
    min-height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    border: 0.59px solid #E8EEFF;
    transition: background 0.2s ease;
}

.refresh-btn:hover {
    background-color: #e4ecf8;
}

.refresh-btn.footer-btn {
    background-color: #FFFFFF;
    width: 31px;
    height: 31px;
    min-width: 31px;
    min-height: 31px;
    border: 0.7px solid #E8EEFF;
    border-radius: 8px;
}

.refresh-btn.footer-btn img {
    width: 15px;
    height: 15px;
}

/* pagination */
.pagination-part {
    background-color: #F5F8FF;
    box-shadow: 0px 7px 15px 0px #1126920D;
    border: 1px solid #CCD8E5;
    padding: 10px;
    z-index: 1;
    width: 100%;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
}

.pagination-part .pagination-btn {
    border: 1px solid #E8EEFF;
    background-color: #FFFFFF;
    height: 45px;
    width: 45px;
    border-radius: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'Gilroy';
    font-weight: 400;
    font-size: 20px;
    color: #000f33;
}

.pagination-part.small .pagination-btn {
    height: 30px;
    width: 30px;
    font-size: 14px;
    border-radius: 6px;
}

.pagination-part.small .pagination-btn img {
    height: 10px;
    width: 10px;
}

.pagination-part .pagination-btn.active {
    border: 1px solid var(--Color, #000f33);
    font-weight: 700;
}

.pagination-part .show-page {
    height: 45px;
    display: flex;
    align-items: center;
    gap: 30px;
    padding-left: 15px;
    font-family: 'Gilroy';
    font-weight: 400;
    font-size: 20px;
    color: #000f33;
    background-color: #FFFFFF;
    border: 1px solid #E8EEFF;
    border-radius: 12px;
}

.pagination-part.small .show-page {
    height: 30px;
    font-size: 14px;
    gap: 12px;
    border-radius: 6px;
}

.pagination-part.small .show-page img {
    height: 30px;
    width: 30px;
}

.pagination-part .pagination-text {
    font-family: 'Gilroy';
    font-weight: 500;
    font-size: 15px;
    color: #747C98;
}

.pagination-part.small .pagination-text {
    font-size: 12px
}


/* common custom dropdown */
.custom-dropdown {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 56px;
    padding: 0 0 0 10px;
    border: 0.6px solid #E8EEFF;
    border-radius: 14px;
    background-color: #fff;
    font-family: 'Gilroy';
    cursor: pointer;
    box-sizing: border-box;
    position: relative;
    user-select: none;
    width: 235px;

}

.header-section .dropdown-menu {
    left: -10px;
}

.dropdown-left {
    display: flex;
    align-items: center;
    gap: 20px;
    color: #0A3D91;
    font-weight: 600;
    font-size: 16px;
}

.dropdown-left .material-icons {
    color: #BFDBFE;
    font-size: 20px;
}

.dropdown-left .material-symbols-outlined {
    color: #BFDBFE;
    font-size: 20px;
}

.dropdown-label {
    color: #d3e4f5;
    font-weight: 700 !important;
    font-size: 18px;
    justify-content: center;
    text-align: center;
    padding-left: 35px;
}

.dropdown-placeholder {
    color: #B7C9FF;
    font-weight: 500;
    font-size: 16px;
}

.custom-dropdown-wrapper .dropdown-right img {
    transition: all 0.2s ease-in-out;
}

.custom-dropdown-wrapper.active .dropdown-right img {
    rotate: 180deg;
}

.dropdown-left img {
    width: 23px;
    height: 23px;
}

.dropdown-right {
    background-color: #F8FAFF;
    border-radius: 10px;
    padding: 22px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-left: auto;
    border: 0.59px solid #E8EEFF
}

.dropdown-right .material-icons {
    color: #BFDBFE;
    font-size: 28px;
}

.dropdown-menu {
    position: absolute;
    top: 110%;
    left: 0;
    right: 0;
    background: #fff;
    border: 1px solid #E2E8F0;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.05);
    list-style: none;
    padding: 0;
    margin: 0;
    z-index: 999;
    max-height: 200px; /* yüksekliği sınırla */
    overflow-y: auto;
}

.dropdown-menu li {
    padding: 8px 12px;
    font-weight: 500;
    cursor: pointer;
    transition: background 0.2s;
}

.dropdown-menu li:hover {
    background: #F1F5F9;
}

.custom-dropdown-wrapper {
    position: relative;
}

.custom-dropdown-wrapper.extra-large {
    width: 100%;
}

.custom-dropdown-wrapper.extra-large .custom-dropdown {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 50px;
    padding: 0 0 0 100px;
    border: none;
    border-radius: 0;
    background-color: transparent;
    width: 100%;
}

.custom-dropdown-wrapper.extra-large .dropdown-label {
    color: #000f33;
    font-weight: 500 !important;
    font-size: 20px;
}

.custom-dropdown-wrapper.extra-large .dropdown-right {
    width: 57px;
    height: 57px;
    border-radius: 12px;
}






/* tn-filter-tab */
.btn-filter-tab.remove-shadow {
    box-shadow: none;
}

.btn-filter-tab {
    display: flex;
    align-items: center;
    gap: 12px;
    padding: 14px 12px;
    box-shadow: 0px 6px 20px 0px #000f3326;
    border-bottom: 1px solid #CCD8E5;
    white-space: nowrap;
}

.btn-filter-tab .general-all-btn {
    border: 1px solid #E8EEFF;
    font-family: 'Gilroy';
    font-weight: 700;
    font-size: 12px;
    line-height: 100%;
    letter-spacing: 0%;
    padding: 12px 10px;
    border-radius: 12px;
    position: relative;
}

.btn-filter-tab button.active {
    position: relative;
}

.btn-filter-tab .general-all-btn.active::before,
.btn-filter-tab button.active::before {
    content: '';
    position: absolute;
    bottom: -18px;
    right: 0;
    border: 1px solid #CCD8E5;
    background-color: #000f33;
    border-top-left-radius: 7px;
    border-top-right-radius: 7px;
    width: 100%;
    height: 9px;
}


.btn-filter-tab button {
    border: 1px solid #CCD8E5;
    border-radius: 12px;
    padding: 0;
    background-color: transparent;
}

.btn-filter-tab button img {
    width: 100%;
}

.select2-search__field{
    width:100% !important;
}